package id.kalanusa.flutter_zsdk.bluetoothdiscoveryhandler;

import java.util.HashMap;
import java.util.Map;

public class BluetoothPrinter {
    String friendlyName = "unknown";
    String macAddress = "unknown";

    public BluetoothPrinter(String friendlyName, String macAddress) {
        this.friendlyName = friendlyName;
        this.macAddress = macAddress;
    }

    public Map<String, String> toMap() {
        Map<String, String> map = new HashMap<>();
        map.put("friendlyName", friendlyName);
        map.put("macAddress", macAddress);

        return map;
    }
}
